%bcond_with mp3

Name:           funguloids
Version:        1.06
Release:        0
Summary:        Those Funny Funguloids!
License:        zlib/libpng
Group:          Amusements/Games
URL:            http://%{name}.sourceforge.net
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}-linux-%{version}-4.tar.bz2
Source1:        mpak.py
Source2:        README.openSUSE
Patch0:         http://%{name}.sourceforge.net/size_chunks_reverse.patch
Patch1:         http://%{name}.sourceforge.net/alc_error.patch
Patch2:         %{name}-missing_includes.patch
Patch3:         %{name}-ogre_1.6.patch
Patch4:         %{name}-lua.patch
Patch5:         %{name}-DESTDIR.patch
Patch6:         %{name}-honor_autotools_paths.patch
Patch7:         %{name}-strcmp.patch
Patch8:         %{name}-optional_cg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libogre-devel >= 1.4 libOIS-devel >= 0.7 lua-devel >= 5.1
BuildRequires:  openal-devel freealut-devel libvorbis-devel libogg-devel gcc-c++
BuildRequires:  update-desktop-files fdupes python
%if %{with mp3}
BuildRequires:  libmad-devel
%endif
Recommends:     libogre1_6-plugin-Cg

%description
Never before has collecting mushrooms been this mildly entertaining. At least
not in outer space. It's more of a lifestyle than a game, really. Now with
graphics and sound, too!

Seriously though, we like to think the game as a
space-flying-mushroom-picking-simulator. Well no, "Those Funny Funguloids!" is
actually a nice little piece of entertainment. You collect mushrooms, bring them
back to your home base and profit! That's the basic idea in a nutshell. It has
smooth, appealing 3d graphics and nice atmospheric sound effects. Go ahead and
try it out - it has sounds too!

%prep
%setup -qn %{name}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
autoreconf -fi
sed -i 's/\r$//' bin/docs/stylesheet.css
sed -i 's/\r$//' README
%{__cp} -p %{S:1} %{S:2} .
chmod +x mpak.py
./mpak.py -e -f bin/bootstrap.mpk -p _bootstrap
./mpak.py -e -f bin/funguloids.mpk -p _gamedata
sed -ri '/^[A-Z]/ s/(.*)/overlay \1/' _bootstrap/*.overlay _gamedata/*.overlay
sed -ri '/^[A-Z]/ s/(.*)/particle_system \1/' _gamedata/*.particle
# This last one looks like a bug in ogre, should be removed when fixed
# The problem is that green and blue mushrooms have a square instead of a glow
sed -ri 's/^(\t\t\t)(texture_unit) 1/\1\2\n\1{\n\1}\n\1\2/' _gamedata/materials.material
./mpak.py -c -f bin/bootstrap.mpk _bootstrap/*
./mpak.py -c -f bin/funguloids.mpk _gamedata/*
%{__rm} -rf mpak.py _bootstrap _gamedata

%build
%configure # --enable-shared-highscore (not safe, see INSTALL)
%{__make} %{?jobs:-j %jobs}

%install
%{__make} DESTDIR='%{buildroot}' install
%{__rm} -f bin/docs/Makefile*
%{__rm} -rf '%{buildroot}%{_datadir}/doc/%{name}'
%suse_update_desktop_file -c %{name} 'Those Funny Funguloids!' 'Those Funny Funguloids!' %{name} %{name} 'Game;ArcadeGame;'
%fdupes -s '%{buildroot}'

%clean
%{__rm} -rf '%{buildroot}'

%files
%defattr(-, root, root, 0755)
%doc COPYING README README.openSUSE bin/readme.html bin/docs
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
